Generation 8 Pack for Essentials v20.1

v20.1 Generation 8 Pack for Essentials v20.1 v1.0.3

This resource pertains to version 20.1 of Pokémon Essentials.
Pokémon Essentials Version
v20.1 ✅
f2jp-TJ74-Fq.gif
mlq0-MMBlga.gif


Generation 8 Pack for Essentials v20.1
Compendium of Generation 8 resources formatted for Essentials v20.1

Overview:
Essentials v20.1 brings PBS and scripts for mechanics all the way till Generation 8. Essentials is now in line with BDSP, in terms of game mechanics. However, these updates cannot be used on their own, because there are no corresponding graphics and audio for them in Essentials by default. This resource fixes that, by providing these missing graphics and audio, all formatted for Essentials v20.1. This makes creating a fangame with the latest Generation of Pokemon extremely simple and completely plug-and-play. Enjoy!

This resource does not contain any scripts, sprites or cries from Pokemon - Legends Arceus. This is because it isn't clear as off now whether the mechanics changes and new additions in PLA will extend into the main series, or be left in their own bubble like LGPE.
The way Home Compatibility has been added for Legends Arceus suggests that the changes may not make it to the main series. Base Essentials v20.1 also only provides data for Pokemon upto BDSP. Thus, I am choosing to ignore PLA for now until the release of Scarlet and Violet.
Feel free to make your own Legends Arceus content and share it on RC and Pokecommunity.


Features:
  • Static Battler Sprites and Icon Sprites for all Pokemon from Gen 1-8 (including IoA, CT and BDSP), formatted to work with v20.1.
  • Separate set of battler sprites for all Pokemon from Gen 1-8 (including IoA, CT and BDSP), formatted to work with Elite Battle: DX.
  • Overworld Sprites for all Pokemon from Gen 1-8 (including IoA, CT and BDSP), formatted to work with v20.1 and Following Pokemon EX.
  • HD version of all the cries (regular and fainting) for all Pokemon from Gen 1-8 (including IoA, CT and BDSP).
  • Icons for all Items from Gen 1 - 8 (including IoA, CT and BDSP).
  • Added EBDX's Bitmap Wrapper to scale sprites in code with no hassle. This makes BW Styled sprites easy to use in Gen 4 styled games.
  • Full compatibility with EBDX and the ZUD Plugin.

This resource is not compatible with Essentials v19.1, v18.1, v17.2, v16.2, or any other older version of Essentials. I do not plan to add compatibility for any of them.

Download Link

Please Credit the following people when using this resource.

  • Battler Sprites:
    • Gen 1-5 Pokemon Sprites - veekun
    • Gen 6 Pokemon Sprites - All Contributors To Smogon X/Y Sprite Project
    • Gen 7 Pokemon Sprites - All Contributors To Smogon Sun/Moon Sprite Project
    • Gen 8 Pokemon Sprites - All Contributors To Smogon Sword/Shield Sprite Project
  • Overworld Sprites
    • Gen 6+ Berry Tree Overworlds - Anarlaurendil
    • Gen 6 Pokemon Overworlds - princess-pheonix, LunarDusk, Wolfang62, TintjeMadelintje101, piphybuilder88
    • Gen 7 Pokemon Overworlds - Larry Turbo, princess-pheonix
    • Gen 8 Pokemon Overworlds - SageDeoxys, Wolfang62, LarryTurbo, tammyclaydon
    • Gen 1-5 Pokemon Overworlds - MissingLukey, help-14, Kymoyonian, cSc-A7X, 2and2makes5, Pokegirl4ever, Fernandojl, Silver-Skies, TyranitarDark, Getsuei-H, Kid1513, Milomilotic11, Kyt666, kdiamo11, Chocosrawlooid, Syledude, Gallanty, Gizamimi-Pichu, 2and2makes5, Zyon17,LarryTurbo, spritesstealer, LarryTurbo
  • Icon Sprites
    • Gen 1-6 Pokemon Icon Sprites - Alaguesia
    • Gen 7 Pokemon Icon Sprites - Marin, MapleBranchWing, Contributors to the DS Styled Gen 7+ Repository
    • Gen 8 Icon Sprites - Larry Turbo, Leparagon
  • Cry Credits:
    • Gen 1-6 Pokemon Cries - Rhyden
    • Gen 7 Pokemon Cries - Marin, Rhyden
    • Gen 8 Pokemon Cries - Zeak6464
  • Script Credits:
    • Golisopod User, Luka S.J.
  • Compilation of Resources:
    • Golisopod User, UberDunsparce

Installation Instructions:
  1. Make a backup of your project incase you have any custom changes in your PBS/pokemon_metrics.txt, PBS/EBDX/pokemon.txt, Pokemon sprites or Item icon sprites.
    • NOTE: Backing up your project basically means Ctrl + C your game folder and Ctrl + V it somewhere else to keep your changes from being permanently overwritten by the next step. You don't need to do it with some special script, or software, or cloud service.
  2. Delete the Graphics/Pokemon/ folder from your project. Also delete Graphics/EBDX/Battlers/ incase you use Elite Battle: DX.
  3. Extract all the contents of the ZIP file into your game's root folder. (The folder with Game.exe in it). This will make permanent changes to your project, so make sure you completed step 1.
    • NOTE: Extract ALL the files from the zip. Do not pick and choose what you want. Also, make sure that you actually replace the files by clicking Replace the file in the destination if prompted.
  4. This step is different depending on whether you use Elite Battle: DX or no:
    • If you don't use Elite Battle: DX, or don't know what it is, then delete the folder called EBDX in the Graphics/ and PBS/ folders of your game.
    • If you do use Elite Battle: DX, then open the Graphics/Pokemon/ folder in your game and delete the Front/, Front Shiny/, Back/, Back shiny/ folders in there.
  5. Run the game in Debug Mode, by opening it from the RMXP editor.
    • NOTE: If you do not see Loaded plugin: Generation 8 Pack Scripts (ver. X.X.X) ((X.X.X) should be the latest version of the plugin) in the console (the black window that you see when running v20.1 in Debug Mode), that means the script hasn't compiled and will not work.
      To force the game to compile the plugin, open the Data folder of your game and delete PluginScripts.rxdata. Then try running the game in Debug Mode.
      This is what the console window should look like, if the plugin is installed correctly:
      Game_gfmNVNEmav.png
  6. Recompile your PBS and start a new save.
    • NOTE: If you do not know what recompiling your PBS is, or how to do it, then just delete Data/abilities.dat from your game's folder, and then try running the game in Debug Mode. This will force a recompile. Then I highly suggest you go through Thundaga's Pokemon Essentials tutorial series, so that you can understand basic Essentials concepts like PBS editing and compiling.
  7. Read through all of the Frequently Asked Questions before asking any questions related to the Plugin. I cannot re-iterate the importance of this step. I have taken the time to document all possible questions regarding the pack and provide answers to all of them, for your convenience. Please go through all of them, to avoid causing any confusion and inconvenience for yourself and me. They have been sectioned into several categories so as to not overwhelm you when reading.

Frequently Asked Questions:
Battler Sprites:
Q: Why do some Gen 6 Sprites have different Palettes/Styles for their Front and Back sprites?
A: This is because the Gen 6 Smogon Resource is going through a major sprite revamp. This will be all made consistent eventually.

Q: The sprites in the Pokemon folder are at 1x scale. Will they look small in battle?
A: No. The plugin uses the EBDX Bitmap Wrapper which scales all Pokemon sprites in code. They will all be scaled based on some constants in Plugins/Generation 8 Pack Scripts/000_Config.rb. Read further into the FAQ to change the factor the sprites are scaled to.

Q: Why are the backsprites in battle so weird looking?
A: The plugin uses the EBDX Bitmap Wrapper which scales all Pokemon sprites in code. The Bitmap Wrapper is set to scale all backsprites to 3x scale in battle by default. Read further into the FAQ to change the factor the sprites are scaled to.

Q: Why are my battler sprites so HUGE?
A: The plugin uses the EBDX Bitmap Wrapper which scales all Pokemon sprites in code. The default Essentials sprites are already in 2x scale, so when the Bitmap Wrapper scales them up they become 4x scale.
To fix this, you'll have to edit the factor to which the sprites are scaled in the code. Read further into the FAQ to change the factor the sprites are scaled to.

Q: I hate the inconsistent pixel density between the front and back sprites. Can you fix it?
A: I believe that the BW sprites actually look much worse without being scaled, which is why I took the decision to change it. If you want to change it, you can read further into the FAQ to learn how to change the factor the sprites are scaled to, and manually reposition the 1374 backsprites yourself.
(If you are willing to compile, organize, rename and reposition and correct the sRGB profile of HGSS style backsprites, consistent with current base Essentials sprites, for all 898 Pokemon, I'll gladly include them in the pack)

Q: I want animated Pokemon sprites. What should I do?
A: The plugin uses the EBDX Bitmap Wrapper, so you can use spritesheets (like the ones used in EBDX) for your animated battle sprites.
You can also use GIFs, but the use of GIFs is not recommended as they are slower to load than regular sprites.

Q: How can I edit the scale to which the sprites are scaled globally?
A: Edit the Constants FRONT_BATTLER_SPRITE_SCALE and BACK_BATTLER_SPRITE_SCALE in Plugins/Generation 8 Pack Scripts/000_Config.rb. Make sure to recompile your game after that.

Q: How can I set a Pokemon to have a sprite at a certain scale apart from the global Sprite Scaling constants?
A: It should be as simple as adding FrontSpriteScale = X or BackSpriteScale = X property to the Pokemon in the pokemon_metrics.txt.
(The scaling will be applied to all gender variants, shadow and egg sprites of the Pokemon. You cannot add separate scaling for these unless you define them as alternate forms like Meowstic and Indeedee)

Q: I added a custom sprite but it's flickering/behaving weirdly. What should I do?
A: Make sure the width of the sprite sprite isn't greater than twice the height of the sprite. This is because the script considers a sprite with width that's twice the height as a sprite sheet, and starts animating it, which causes the flickering.

Q: Female Wobuffet/Female Girafarig have HUGE sprites. What do I do?
A: These Pokemon don't have any sprites provided in the Generation 8 Pack, so the sprites being used are the default Essentials sprites, which are not correctly scaled for the plugin.
Step 2 in the Installation and Update Instructions was meant to rectify this.
To fix this, delete the Graphics/Pokemon/ folder from your game and re-install the plugin. Please don't skip any of the steps in the Installation and Update Instructions next time.

Icons Sprites:
Q: Where can I get Shiny Icons? Why aren't they in the pack?
A: Shiny icons don't exist officially, so they are not included in the pack. Essentials makes up for this by showing the Shiny Star Icon next to the Pokemon icon sprite in the party screen.
(If you willing to recolor/collect recolored icons, organizing and renaming them and correcting the sRGB profile, I'll gladly include them in the pack)

Q: The icons don't seem to animate, unlike the one's in base Essentials. Can you fix this?
A: Since Gens 6-8 don't have a 2 frame animations, all the icon sprites provided by the pack are standardized to be static with a small jump animation.
Feel free to report to me if any of the icon sprites don't have a jump animation.
(If you willing to make/compile a set of animated icons, correcting their sRGB profile, organizing and renaming them to work with v20.1, I'll gladly include them in the pack)

Pokemon Cries:
Q: I hate the new HD cries for the Pokemon. What should I do to get the old cries back?
A: You can get the old cries back by copying the Audio/SE/Cries/ folder from a clean copy of Essentials v20.1 into Audio/SE/Cries/ in your game's folder. You'll also need delete PIKACHU_faint.ogg from Audio/SE/Cries/ in your game's folder. Following these steps correctly will restore the Generation 5 cries back to your game.

Script related Questions:
Q: Why does this resource not contain any sprites, cries, or scripts from Pokemon Legends Arceus, when those are the latest main series games?
A: This is because it isn't clear as off now whether the mechanics changes and new additions from PLA will extend into the main series, or be left in their own bubble like LGPE. The way Home Compatibility has been added for Legends Arceus suggests that the changes may not make it to the main series. Base Essentials v20.1 also only provides data for Pokemon upto BDSP. Thus, I am choosing to ignore PLA for now until the release of Scarlet and Violet.

Q: The changelog says that mean the ZUD plugin is compatible with this resource. Does that mean the ZUD plugin is compatible with v20.1?
A: No

Q: How can I edit the scale to which the sprites are scaled globally?
A: Edit the Constants FRONT_BATTLER_SPRITE_SCALE and BACK_BATTLER_SPRITE_SCALE in Plugins/Generation 8 Pack Scripts/000_Config.rb. Make sure to recompile your game after that.

Q: How can I set a Pokemon to have a sprite at a certain scale apart from the global Sprite Scaling constants?
A: It should be as simple as adding FrontSpriteScale = X or BackSpriteScale = X property to the Pokemon in the pokemon_metrics.txt.
(The scaling will be applied to all gender variants, shadow and egg sprites of the Pokemon. You cannot add separate scaling for these unless you define them as alternate forms like Meowstic and Indeedee)

Q: The changed FPS looks weird, how can I fix it?
A: In Plugins/Generation 8 Pack Scripts/000_Config.rb, change the SMOOTH_FRAMERATE setting to false.

Q: Why does the Pokedex show the Icon Sprite of the Pokemon where it normally shows Footprints? How can I revert this?
A: From Generation 6 onwards, the official games stopped showing the Footprint graphics in the Pokedex. This means that there are no official Footprint graphics for Pokemon from Generation 6 onwards.
Even if there are custom resources for Footprints, I don't want to include them because I don't want go through the process of renaming and fixing the sRGB profile of those sprites, and because I hate feet. So I thought of a suitable replacement for the footprint sprites and decided to go with icon sprites instead.

If you do have custom footprints and want to show Footprints in the Pokedex then you can revert this change easily. You just need to edit the Constant DEX_SHOWS_FOOTPRINTS in Plugins/Generation 8 Pack Scripts/000_Config.rb.

Q: The sprites seem constrained to a "box" in some of the UI. Why? How can I edit these battler sprite constraints?
A: Most of the sprites provided in the Generation 8 Pack are 192x192, that is 20% larger than the sprites in default Essentials. These sprites are too big for the UI in default Essentials, leading to them spilling out onto the UI and giving a shabby unpolished look to it. The Generation 8 Pack avoids this by constraining the sprites to a specific width and height, corresponding to the space provided for Pokemon sprites in the base Essentials UI.
To edit the constraints for your own custom UI, edit the numbers inside the .constrict function in Plugins/Generation 8 Pack Scripts/EBDX Wrapper Compatibility.rb. Eg: the [208, 164] in @sprites["pokemon"].constrict. These numbers correspond to the maximum width and height the sprite can be before getting cut off.

EBDX related Questions:
Q: The changelog says that mean EBDX is compatible with this resource. Does that mean EBDX is compatible with v20.1?
A: No

Q: I removed the static sprites provided by this pack from my project and replaced them with animated ones, but now my sprites are weirdly positioned. What should I do?
A: The sprite positions were defined according to the static sprites that came with the Generation 8 Pack. But, since you decided to use sprites other than the ones designed for the plugin, the PBS data will have to be changed to accomodate for that, and you will have to manually reposition your own sprites for your game using the EBDX sprite positioner.

Known Issues:
  • Missing Files:
    • Overworlds for Eternal Flower Floette.
    • Everything relating to PLA (will not be added until the release of Scarlet and Violet).

Changelog:
  • v 1.0.3
    Fixed sprites not appearing in battle after v1.0.2 update
  • v 1.0.2
    Added GIF support (not recommended to use GIFs because they load slower than regular sprites)
    The game now auto-compiles the Pokemon Metrics after the project is installed, for people who can't read bold text.
  • v 1.0.1
    Fixed "Required v20 Hotfixes" error for Essentials v20.1
  • v1.0.0
    Plugin Released
Credits

  • Battler Sprites:
    • Gen 1-5 Pokemon Sprites - veekun
    • Gen 6 Pokemon Sprites - All Contributors To Smogon X/Y Sprite Project
    • Gen 7 Pokemon Sprites - All Contributors To Smogon Sun/Moon Sprite Project
    • Gen 8 Pokemon Sprites - All Contributors To Smogon Sword/Shield Sprite Project
  • Overworld Sprites
    • Gen 6+ Berry Tree Overworlds - Anarlaurendil
    • Gen 6 Pokemon Overworlds - princess-pheonix, LunarDusk, Wolfang62, TintjeMadelintje101, piphybuilder88
    • Gen 7 Pokemon Overworlds - Larry Turbo, princess-pheonix
    • Gen 8 Pokemon Overworlds - SageDeoxys, Wolfang62, LarryTurbo, tammyclaydon
    • Gen 1-5 Pokemon Overworlds - MissingLukey, help-14, Kymoyonian, cSc-A7X, 2and2makes5, Pokegirl4ever, Fernandojl, Silver-Skies, TyranitarDark, Getsuei-H, Kid1513, Milomilotic11, Kyt666, kdiamo11, Chocosrawlooid, Syledude, Gallanty, Gizamimi-Pichu, 2and2makes5, Zyon17,LarryTurbo, spritesstealer, LarryTurbo
  • Icon Sprites
    • Gen 1-6 Pokemon Icon Sprites - Alaguesia
    • Gen 7 Pokemon Icon Sprites - Marin, MapleBranchWing, Contributors to the DS Styled Gen 7+ Repository
    • Gen 8 Icon Sprites - Larry Turbo, Leparagon
  • Cry Credits:
    • Gen 1-6 Pokemon Cries - Rhyden
    • Gen 7 Pokemon Cries - Marin, Rhyden
    • Gen 8 Pokemon Cries - Zeak6464
  • Script Credits:
    • Golisopod User, Luka S.J.
  • Compilation of Resources:
    • Golisopod User, UberDunsparce
Author
Golisopod User
Downloads
1,711
Views
11,799
First release
Last update
Rating
5.00 star(s) 9 ratings

More resources from Golisopod User

Latest updates

  1. Important Hotfix

    Fixed sprites not appearing in battle after v1.0.2 update
  2. GIF Support

    Added GIF support (the use of GIFs is not recommended because they load slower than regular...
  3. v20.1 Compatibility

    Fixed "Required v20 Hotfixes" error for Essentials v20.1

Latest reviews

Simply one of the best resources available for pokémon essentials, from the days of v18 to the present day, the Gen 8 Project has always been gorgeous.
Hey guys! I'm new here, and this is my first Pokémon RMVX (I don't speak english, so sorry for my bad grammar).
I follow the instructions to install this mod, everything is Ok, the compilation, etc. But, for some reason the pokemons are not appearing in the battle scene, can anyone help me?
PS: The moves are appearing in the top of the window.
There is a problem with the Unown overworld sprite, the K one is named UNOWN.png instead of UNOWN_10.png so there is no A Unown
I wish they would also include the trainer sprites, but otherwise, it's so good looking.
Must have addition to v20 base Essentials. Thank you for all your contributions to the community.
Thanks! This fixes the scaling issues OG v20 had as well!
Will definitely be a useful tool for devs going forward, since there are no plans to add image files for Pokémon past gen 6.
Top